> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/user-interface-design/manipulating-the-welcome-message/manually-show-welcome-message.md).

# Manually Show Welcome Message

This API can be used to manually show the welcome message at anytime. Only one argument is passed to this method which is an enum detailing whether to show the beta testers welcome message or the live user welcome message.

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - ObjC" %}

```objectivec
[Luciq showWelcomeMessageWithMode:LCQWelcomeMessageModeBeta];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.showWelcomeMessage(WelcomeMessage.State.BETA);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.showWelcomeMessage(WelcomeMessage.State.BETA)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.showWelcomeMessage(Luciq.welcomeMessageMode.beta)
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.showWelcomeMessageWithMode(WelcomeMessageMode.beta)
```

{% endtab %}
{% endtabs %}

#### Welcome Message Parameters

{% tabs fullWidth="true" %}
{% tab title="iOS - ObjC" %}

```objectivec
//Beta testers message
LCQWelcomeMessageModeBeta
//Live users message
LCQWelcomeMessageModeLive
```

{% endtab %}

{% tab title="And - Java" %}

```java
//Beta testers message
WelcomeMessage.State.BETA
//Live users message
WelcomeMessage.State.LIVE
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
//Beta testers message
WelcomeMessage.State.BETA
//Live users message
WelcomeMessage.State.LIVE
```

{% endtab %}

{% tab title="RN" %}

```javascript
//Beta testers message
Luciq.welcomeMessageMode.beta
//Live users message
Luciq.welcomeMessageMode.live
```

{% endtab %}

{% tab title="Flutter" %}

```dart
//Beta testers message
WelcomeMessageMode.beta
//Live users message
WelcomeMessageMode.live
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/user-interface-design/manipulating-the-welcome-message/manually-show-welcome-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
